Package io.dapr.client.domain

# Class GetBulkSecretRequest

java.lang.Object
io.dapr.client.domain.GetBulkSecretRequest

public class GetBulkSecretRequest extends Object
A request to get a secret by key.

## Constructor Summary

Constructors
Constructor
Description
`GetBulkSecretRequest(String storeName)`
Constructor for GetBulkSecretRequest.

## Method Summary

Modifier and Type
Method
Description
`Map<String,String>`
`getMetadata()`
`String`
`getStoreName()`
`GetBulkSecretRequest`
`setMetadata(Map<String,String> metadata)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GetBulkSecretRequest

public GetBulkSecretRequest(String storeName)
Constructor for GetBulkSecretRequest.

Parameters:
  `storeName` - Name of the secret store

## Method Details

### getStoreName

public String getStoreName()

### getMetadata

public Map<String,String> getMetadata()

### setMetadata

public GetBulkSecretRequest setMetadata(Map<String,String> metadata)